<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class deleted_survey extends Model
{
    use HasFactory;
    protected $table='deleted_survey_lights';
    protected $fillable=['jilla_id', 'taluka_id', 'gram_id', 'pole_number', 'led_wattage', 'maker_name', 'serial_num', 'status'];

    public function area_district()
    {
        return $this->hasOne('App\Models\area_master','id','jilla_id');
    }
     public function area_mandal()
    {
        return $this->hasOne('App\Models\area_master','id','taluka_id');
    }
     public function area_gram()
    {
        return $this->hasOne('App\Models\area_master','id','gram_id');
    }
}